## com.baidubce.services.bmr.model
Class JavaStepConfig

    java.lang.Object
      com.baidubce.services.bmr.model.StepConfig
          com.baidubce.services.bmr.model.JavaStepConfig

    public class JavaStepConfig

extends StepConfig

Represent configuration for a custom jar step. A custom jar step can be configured with name, actionOnFailure, jar, main class and arguments. The essential options are jar, main class and actionOnFailure, and the optional ones are name and arguments.

Constructor Summary
`JavaStepConfig()`

Method Summary
`JavaStepConfig` `withActionOnFailure(String actionOnFailure)` Configure the action on failure for the java step.
`JavaStepConfig` `withArguments(String arguments)` Configure the arguments for the step.
`JavaStepConfig` `withJar(String jar)` Configure the BOS path for step's .jar file.
`JavaStepConfig` `withMainClass(String mainClass)` Configure the main class for the step.
`JavaStepConfig` `withName(String name)` Configure the name of the step.

Methods inherited from class com.baidubce.services.bmr.model.StepConfig
`addProperty, getActionOnFailure, getName, getProperties, getType, setActionOnFailure, setName, setProperties, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaStepConfig

    public JavaStepConfig()

Method Detail

### withJar

    public JavaStepConfig withJar(String jar)

  Configure the BOS path for step's .jar file.

  Parameters:
    `jar` - The BOS path for the step's .jar file.
  Returns:
    JavaStepConfig

### withMainClass

    public JavaStepConfig withMainClass(String mainClass)

  Configure the main class for the step.

  Parameters:
    `mainClass` - The main class for the step.
  Returns:
    JavaStepConfig

### withArguments

    public JavaStepConfig withArguments(String arguments)

  Configure the arguments for the step.

  Parameters:
    `arguments` - The arguments for the step.
  Returns:
    JavaStepConfig

### withActionOnFailure

    public JavaStepConfig withActionOnFailure(String actionOnFailure)

  Configure the action on failure for the java step. This property is set to enum value: "Continue": continue to execute other steps. "TerminateCluster": terminate the cluster when this step fails. "CancelAndWait": cancel the other pending steps and set the cluster's status to WAITING.

  Parameters:
    `actionOnFailure` - The action on step's failure.
  Returns:
    JavaStepConfig

### withName

    public JavaStepConfig withName(String name)

  Configure the name of the step.

  Parameters:
    `name` - The name of the step.
  Returns:
    JavaStepConfig

Copyright © 2016. All rights reserved.